resource "azurerm_application_insights" "applicationinsights" {
  name                = "AI-${local.environment}-${local.project}"
  location            = azurerm_resource_group.rgproject.location
  resource_group_name = azurerm_resource_group.rgproject.name
  application_type    = "web"
  disable_ip_masking  = true
  sampling_percentage = 100
  retention_in_days   = 90
  tags                = local.common_tags
}
